ESIGN_Keys Struct Reference

ESIGN keys. More...

`#include <esign.h>`

Inheritance diagram for ESIGN_Keys:

## Public Types

typedef ESIGNFunction | PublicKey
typedef InvertibleESIGNFunction | PrivateKey

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

ESIGN keys.

Since
  Crypto++ 5.0

Definition at line 151 of file esign.h.

## Member Typedef Documentation

## PublicKey

typedef ESIGNFunction ESIGN_Keys::PublicKey

Definition at line 154 of file esign.h.

## PrivateKey

typedef InvertibleESIGNFunction ESIGN_Keys::PrivateKey

Definition at line 155 of file esign.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * ESIGN_Keys::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 153 of file esign.h.

The documentation for this struct was generated from the following file:

- esign.h